name: wg-manager
services:
  wireguard:
    cap_add:
      - NET_ADMIN
    cpu_shares: 90
    command: []
    container_name: wg-manager
    deploy:
      resources:
        limits:
          memory: 256M
    environment:
      - ADMIN_PASSWORD=admin
      - ADMIN_USERNAME=admin
      - HOST=0.0.0.0
      - PORT=8888
      - WEB_CONCURRENCY=1
    image: perara/wg-manager
    labels:
      icon: https://static-00.iconduck.com/assets.00/wireguard-icon-2048x2048-6w5jtt33.png
    network_mode: bridge
    networks:
      ? default
    ports:
      - target: 51820
        published: "51820"
        protocol: udp
      - target: 8888
        published: "8888"
        protocol: tcp
    restart: always
    sysctls:
      net.ipv6.conf.all.disable_ipv6: "0"
    volumes:
      - type: bind
        source: /DATA/AppData/wg-manager/config
        target: /config
    devices: []
    privileged: false
networks:
  default:
    name: tender_sumie_default
x-casaos:
  author: self
  category: self
  hostname: ""
  icon: https://static-00.iconduck.com/assets.00/wireguard-icon-2048x2048-6w5jtt33.png
  index: /
  port_map: "8888"
  scheme: http
  store_app_id: tender_sumie
  title:
    en_us: tender_sumie
